diff --git a/test_plans/loopback_virtio_user_server_mode_test_plan.rst b/test_plans/loopback_virtio_user_server_mode_test_plan.rst
index 3ba8d983..092eb5e8 100644
--- a/test_plans/loopback_virtio_user_server_mode_test_plan.rst
+++ b/test_plans/loopback_virtio_user_server_mode_test_plan.rst
@@ -38,6 +38,8 @@ Virtio-user server mode is a feature to enable virtio-user as the server, vhost
 virtio-user can reconnect back to vhost-user again; at another hand, virtio-user also can reconnect back to vhost-user after virtio-user is killed.
 This feature test need cover different rx/tx paths with virtio 1.0 and virtio 1.1, includes split ring mergeable, non-mergeable, inorder mergeable,
 inorder non-mergeable, vector_rx path and packed ring mergeable, non-mergeable, inorder non-mergeable, inorder mergeable, vectorized path.
+Split ring and packed ring test when vhost enqueue operation with multi-CBDMA channels. When DMA devices are bound to vfio driver,
+VA mode is the default and recommended. For PA mode, page by page mapping may exceed IOMMU's max capability, better to use 1G guest hugepage.
 
 Test Case 1: Basic test for packed ring server mode
 ===================================================
@@ -827,16 +829,16 @@ Test Case 12: loopback reconnect test with packed ring vectorized path and serve
 
      testpmd>stop
 
-Test Case 13: loopback packed ring and split ring mergeable path payload check test using server mode and multi-queues
-======================================================================================================================
+Test Case 13: loopback packed ring all path payload check test using server mode and multi-queues
+=================================================================================================
 
 1. launch vhost::
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 --no-pci --file-prefix=vhost -n 4 --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1' -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 --no-pci --file-prefix=vhost -n 4 --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1' -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
 
 2. Launch virtio-user with packed ring mergeable inorder path::
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
      testpmd> set fwd csum
      testpmd> start
 
@@ -854,42 +856,163 @@ Test Case 13: loopback packed ring and split ring mergeable path payload check t
 
 5. Quit pdump, check all the packets length are 8000 Byte in the pcap file, and the payload in receive packets are same.
 
-6. Quit and relaunch vhost and rerun step3-5.
+6. Quit and relaunch vhost and rerun step 3-5.
 
 7. Quit and relaunch virtio with packed ring mergeable path as below::
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd> set fwd csum
+     testpmd> start
+
+8. Rerun step 3-6.
+
+9. Quit and relaunch virtio with packed ring non-mergeable path as below::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    testpmd> set fwd csum
+    testpmd> start
+
+10. Rerun step 3.
+
+11. Send pkts from vhost::
+
+     testpmd> set fwd csum
+     testpmd> set txpkts 64,128,256,512
+     testpmd> set burst 1
+     testpmd> start tx_first 1
+     testpmd> stop
+
+12. Quit pdump, check all the packets length are 960 Byte in the pcap file and the payload in receive packets are same.
+
+13. Quit and relaunch vhost and rerun step 10-12.
+
+14. Quit and relaunch virtio with packed ring inorder non-mergeable path as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd> set fwd csum
+     testpmd> start
+
+15. Rerun step 10-13.
+
+16. Quit and relaunch virtio with packed ring vectorized path as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --force-max-simd-bitwidth=512 \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,vectorized=1,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd> set fwd csum
+     testpmd> start
+
+17 Rerun step 10-13.
+
+18. Quit and relaunch virtio with packed ring vectorized path and ring size is not power of 2 as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --force-max-simd-bitwidth=512 \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,vectorized=1,packed_vq=1,queue_size=1025,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1025 --rxd=1025
      testpmd> set fwd csum
      testpmd> start
 
-8. Rerun step3-6.
+19. Rerun step 10-13.
+
+Test Case 14: loopback split ring all path payload check test using server mode and multi-queues
+================================================================================================
+
+1. Launch vhost::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 --no-pci --file-prefix=vhost -n 4 --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1' -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+
+2. Launch virtio-user with split ring mergeable inorder path::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,server=1 \
+    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
+
+3. Attach pdump secondary process to primary process by same file-prefix::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-pdump -v --file-prefix=virtio-user0 -- --pdump 'device_id=net_virtio_user0,queue=*,rx-dev=./pdump-virtio-rx.pcap,mbuf-size=8000'
+
+4. Send large pkts from vhost::
+
+    testpmd> set fwd csum
+    testpmd> set txpkts 2000,2000,2000,2000
+    testpmd> set burst 1
+    testpmd> start tx_first 1
+    testpmd> stop
+
+5. Quit pdump, check all the packets length are 8000 Byte in the pcap file and the payload in receive packets are same.
+
+6. Quit and relaunch vhost and rerun step3-5.
+
+7. Quit and relaunch virtio with split ring mergeable path as below::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,server=1 \
+    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
+
+8. Rerun steps 3-6.
 
-9. Quit and relaunch virtio with split ring mergeable inorder path as below::
+9. Quit and relaunch virtio with split ring non-mergeable path as below::
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,server=1 \
+    -- -i --enable-hw-vlan-strip --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
      testpmd>set fwd csum
      testpmd>start
 
-10. Rerun step3-6.
+10. Rerun step 3.
+
+11. Send pkts from vhost::
+
+     testpmd> set fwd csum
+     testpmd> set txpkts 64,128,256,512
+     testpmd> set burst 1
+     testpmd> start tx_first 1
+     testpmd> stop
 
-11. Quit and relaunch virtio with split ring mergeable path as below::
+12. Quit pdump, check all the packets length are 960 Byte in the pcap file and the payload in receive packets are same.
 
-     ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-      testpmd> set fwd csum
-      testpmd> start
+13. Quit and relaunch vhost and rerun step 10-12.
+
+14. Quit and relaunch virtio with split ring inorder non-mergeable path as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
 
-12. Rerun step3-6.
+15. Rerun step 10-13.
 
-Test Case 14: loopback packed ring and split ring mergeable path cbdma test payload check with server mode and multi-queues
-===========================================================================================================================
+16. Quit and relaunch virtio with split ring vectorized path as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,vectorized=1,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
+
+17. Rerun step 10-13.
+
+Test Case 15: loopback packed ring all path cbdma test payload check with server mode and multi-queues
+======================================================================================================
 
 1. bind 8 cbdma port to vfio-pci and launch vhost::
 
-   ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 -n 4 --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:80:04.0;txq1@0000:80:04.1;txq2@0000:80:04.2;txq3@0000:80:04.3;txq4@0000:80:04.4;txq5@0000:80:04.5;txq6@0000:80:04.6;txq7@0000:80:04.7]' -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 -n 4 \
+    --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:80:04.0;txq1@0000:80:04.1;txq2@0000:80:04.2;txq3@0000:80:04.3;txq4@0000:80:04.4;txq5@0000:80:04.5;txq6@0000:80:04.6;txq7@0000:80:04.7]' \
+    --iova=va -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
 
 2. Launch virtio-user with packed ring mergeable inorder path::
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,packed_vq=1,server=1
+    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
      testpmd>set fwd csum
      testpmd>start
 
@@ -902,7 +1025,8 @@ Test Case 14: loopback packed ring and split ring mergeable path cbdma test payl
     testpmd> vhost enable tx all
     testpmd> set fwd csum
     testpmd> set txpkts 64,64,64,2000,2000,2000
-    testpmd> start tx_first 32
+    testpmd> set burst 1
+    testpmd> start tx_first 1
     testpmd> stop
 
 5. Quit pdump, check all the packets length are 6192 Byte in the pcap file, and the payload in receive packets are same.
@@ -911,30 +1035,166 @@ Test Case 14: loopback packed ring and split ring mergeable path cbdma test payl
 
 7. Quit and relaunch virtio with packed ring mergeable path as below::
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=testpmd0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,packed_vq=1,server=1 \
+    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    testpmd>set fwd csum
+    testpmd>start
+
+8. Rerun steps 3-6.
+
+9. Quit and relaunch virtio with packed ring non-mergeable path as below::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,packed_vq=1,server=1 \
+    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
+
+10. Rerun step 3.
+
+11. Send pkts from vhost::
+
+     testpmd> vhost enable tx all
+     testpmd> set fwd csum
+     testpmd> set txpkts 64,128,256,512
+     testpmd> set burst 1
+     testpmd> start tx_first 1
+     testpmd> stop
+
+12. Quit pdump, check all the packets length are 960 Byte in the pcap file and the payload in receive packets are same.
+
+13. Quit and relaunch vhost and rerun step 10-12.
+
+14. Quit and relaunch virtio with packed ring inorder non-mergeable path as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,packed_vq=1,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
+
+15. Rerun step 10-13.
+
+16. Quit and relaunch virtio with packed ring vectorized path as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --force-max-simd-bitwidth=512 \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,packed_vq=1,vectorized=1,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
+
+17. Rerun step 10-13.
+
+18. Quit and relaunch virtio with packed ring vectorized path and ring size is not power of 2 as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --force-max-simd-bitwidth=512 \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,packed_vq=1,vectorized=1,queue_size=1025,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1025 --rxd=1025
+     testpmd>set fwd csum
+     testpmd>start
+
+19. Rerun step 10-13.
+
+20. Quit and relaunch vhost w/ iova=pa::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 2-3 --file-prefix=vhost -n 4 \
+     --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:00:04.0;txq1@0000:00:04.1;txq2@0000:00:04.2;txq3@0000:00:04.3;txq4@0000:00:04.4;txq5@0000:00:04.5;txq6@0000:00:04.6;txq7@0000:00:04.7]' \
+     --iova=pa -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+
+21. Quit virtio and rerun steps 2-19.
+
+Test Case 16: loopback split ring all path cbdma test payload check with server mode and multi-queues
+=====================================================================================================
+
+1. bind 8 cbdma port to vfio-pci and launch vhost::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 -n 4 \
+    --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:80:04.0;txq1@0000:80:04.1;txq2@0000:80:04.2;txq3@0000:80:04.3;txq4@0000:80:04.4;txq5@0000:80:04.5;txq6@0000:80:04.6;txq7@0000:80:04.7]' \
+    --iova=va -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+
+2. Launch virtio-user with split ring mergeable inorder path::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,server=1 \
+    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
+
+3. Attach pdump secondary process to primary process by same file-prefix::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-pdump -v --file-prefix=virtio-user0 -- --pdump 'device_id=net_virtio_user0,queue=*,rx-dev=./pdump-virtio-rx.pcap,mbuf-size=8000'
+
+4. Send large pkts from vhost::
+
+    testpmd> vhost enable tx all
+    testpmd> set fwd csum
+    testpmd> set txpkts 64,64,64,2000,2000,2000
+    testpmd> set burst 1
+    testpmd> start tx_first 1
+    testpmd> stop
+
+5. Quit pdump, check all the packets length are 6192 Byte in the pcap file and the payload in receive packets are same.
+
+6. Quit and relaunch vhost and rerun step3-5.
+
+7. Quit and relaunch virtio with split ring mergeable path as below::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,server=1 \
+    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
     testpmd>set fwd csum
     testpmd>start
 
-8. Rerun step3-6.
+8. Rerun steps 3-6.
+
+9. Quit and relaunch virtio with split ring non-mergeable path as below::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,server=1 \
+    -- -i --enable-hw-vlan-strip --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    testpmd>set fwd csum
+    testpmd>start
 
-9. Quit and relaunch virtio with split ring mergeable inorder path as below::
+10. Rerun step 3.
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=testpmd0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+11. Send pkts from vhost::
+
+     testpmd> vhost enable tx all
+     testpmd> set fwd csum
+     testpmd> set txpkts 64,128,256,512
+     testpmd> set burst 1
+     testpmd> start tx_first 1
+     testpmd> stop
+
+12. Quit pdump, check all the packets length are 960 Byte in the pcap file and the payload in receive packets are same.
+
+13. Quit and relaunch vhost and rerun step 10-12.
+
+14. Quit and relaunch virtio with split ring inorder non-mergeable path as below::
+
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
      testpmd>set fwd csum
      testpmd>start
 
-10. Rerun step3-6.
+15. Rerun step 10-13.
 
-11. Quit and relaunch virtio with split ring mergeable path as below::
+16. Quit and relaunch virtio with split ring vectorized path as below::
 
-     ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=testpmd0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-      testpmd> set fwd csum
-      testpmd> start
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
+     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,vectorized=1,server=1 \
+     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd>set fwd csum
+     testpmd>start
 
-12. Rerun step3-6.
+17. Rerun step 10-13.
 
-13. Quit and relaunch vhost w/ iova=pa::
+18. Quit and relaunch vhost w/ iova=pa::
 
-    ././x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 2-3 --file-prefix=vhost -n 4 --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:00:04.0;txq1@0000:00:04.1;txq2@0000:00:04.2;txq3@0000:00:04.3;txq4@0000:00:04.4;txq5@0000:00:04.5;txq6@0000:00:04.6;txq7@0000:00:04.7]' --iova=pa -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 2-3 --file-prefix=vhost -n 4 \
+     --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:00:04.0;txq1@0000:00:04.1;txq2@0000:00:04.2;txq3@0000:00:04.3;txq4@0000:00:04.4;txq5@0000:00:04.5;txq6@0000:00:04.6;txq7@0000:00:04.7]' \
+     --iova=pa -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
 
-14. rerun step3-5.
+19. Quit virtio and rerun steps 2-17.