diff --git a/test_plans/ABI_stable_test_plan.rst b/test_plans/ABI_stable_test_plan.rst
index ae0eb7b9..5408e2a9 100644
--- a/test_plans/ABI_stable_test_plan.rst
+++ b/test_plans/ABI_stable_test_plan.rst
@@ -47,13 +47,7 @@ Compiling Steps
 ===============
 
 Compile shared library/application from DPDK xx.11 release.
-Change the option in config/common_base configuration file::
-
-  CONFIG_RTE_BUILD_SHARED_LIB=y
-
-And then, compile the DPDK::
-
-  make install -j T=x86_64-native-linuxapp-gcc
+CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=shared <build_target>;ninja -C <build_target>
 
 Keep this DPDK folder as <dpdk_xx11>, e.g. <dpdk_1911>.
 
@@ -65,7 +59,6 @@ Setup library path in environment::
 
   export LD_LIBRARY_PATH=$LD_LIBRARY_PATH,<dpdk_2002>
 
-meson: CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=shared <build_target>;ninja -C <build_target>
 
 Common Test Steps
 =================
diff --git a/test_plans/enable_package_download_in_ice_driver_test_plan.rst b/test_plans/enable_package_download_in_ice_driver_test_plan.rst
index 6de17a0b..b81e4e79 100644
--- a/test_plans/enable_package_download_in_ice_driver_test_plan.rst
+++ b/test_plans/enable_package_download_in_ice_driver_test_plan.rst
@@ -67,7 +67,7 @@ Test case 1: Download the package successfully
 
 2. Start the testpmd::
 
-    ./testpmd -c 0x3fe -n 6 -- -i --nb-cores=8 --rxq=8 --txq=8 \
+    ./<build_target>/app/dpdk-testpmd -c 0x3fe -n 6 -- -i --nb-cores=8 --rxq=8 --txq=8 \
     --port-topology=chained
 
    The testpmd can be started normally without any fail information.
@@ -103,7 +103,7 @@ Test case 2: Driver enters Safe Mode successfully
 
 2. Start testpmd::
 
-    ./testpmd -c 0x3fe -n 6 \
+    ./<build_target>/app/dpdk-testpmd -c 0x3fe -n 6 \
     -a PORT0_PCI,safe-mode-support=1 -a PORT1_PCI,safe-mode-support=1 \
     -- -i --nb-cores=8 --rxq=8 --txq=8 --port-topology=chained
 
@@ -144,7 +144,7 @@ Test case 3: Driver enters Safe Mode failed
 
 2. Start testpmd::
 
-    ./testpmd -c 0x3fe -n 6 -- -i --nb-cores=8 --rxq=8 --txq=8 \
+    ./<build_target>/app/dpdk-testpmd -c 0x3fe -n 6 -- -i --nb-cores=8 --rxq=8 --txq=8 \
     --port-topology=chained
 
    There will be an error reported::
@@ -177,7 +177,7 @@ Compile DPDK and testpmd::
 
 Launch testpmd with 1 default interface and 1 specific interface::
 
-  ./x86_64-native-linux-gcc/app/testpmd -l 6-9 -n 4 -a 18:00.0 -a b1:00.0 --log-level=8 -- -i
+  ./<build_target>/app/dpdk-testpmd -l 6-9 -n 4 -a 18:00.0 -a b1:00.0 --log-level=8 -- -i
 
 In this case, b1:00.0 interface is specific interface.
 
diff --git a/test_plans/external_mempool_handler_test_plan.rst b/test_plans/external_mempool_handler_test_plan.rst
index 2f821364..c773dc0b 100644
--- a/test_plans/external_mempool_handler_test_plan.rst
+++ b/test_plans/external_mempool_handler_test_plan.rst
@@ -54,7 +54,7 @@ Test Case 1: Multiple producers and multiple consumers
 
 3. Start testpmd with two ports and start forwarding::
 
-      testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
       testpmd> set fwd mac
       testpmd> start
 
@@ -75,7 +75,7 @@ Test Case 2: Single producer and Single consumer
 
 3. Start testpmd with two ports and start forwarding::
 
-      testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
       testpmd> set fwd mac
       testpmd> start
 
@@ -96,7 +96,7 @@ Test Case 3: Single producer and Multiple consumers
 
 3. Start testpmd with two ports and start forwarding::
 
-      testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
       testpmd> set fwd mac
       testpmd> start
 
@@ -117,7 +117,7 @@ Test Case 4: Multiple producers and single consumer
 
 3. Start testpmd with two ports and start forwarding::
 
-      testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
       testpmd> set fwd mac
       testpmd> start
 
@@ -138,7 +138,7 @@ Test Case 4: Stack mempool handler
 
 3. Start testpmd with two ports and start forwarding::
 
-      testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
       testpmd> set fwd mac
       testpmd> start
 
diff --git a/test_plans/flow_classify_test_plan.rst b/test_plans/flow_classify_test_plan.rst
index 07236172..4175ed7c 100644
--- a/test_plans/flow_classify_test_plan.rst
+++ b/test_plans/flow_classify_test_plan.rst
@@ -168,14 +168,15 @@ Compilation:
 ------------
 steps::
 
-    cd $DPDK_PATH
-    export RTE_TARGET=$DPDK_PATH
-    export RTE_SDK=`pwd`
-    make -C examples/flow_classify
+    CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static <build_target>
+    ninja -C <build_target>
+
+    meson configure -Dexamples=flow_classify <build_target>
+    ninja -C <build_target>
 
 Flow classify bin file under::
 
-    $DPDK_PATH/examples/flow_classify/build/flow_classify
+    <build_target>/examples/dpdk-flow_classify
 
 rule config file(default)::
 
diff --git a/test_plans/generic_flow_api_test_plan.rst b/test_plans/generic_flow_api_test_plan.rst
index 98baec62..6fd039a0 100644
--- a/test_plans/generic_flow_api_test_plan.rst
+++ b/test_plans/generic_flow_api_test_plan.rst
@@ -222,12 +222,12 @@ Test case: Fortville fdir for ipv4
     testpmd> set verbose 1
     testpmd> start
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 1e0000 -n 4 -a 05:02.0 --file-prefix=vf0 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --disable-rss --pkt-filter-mode=perfect
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e0000 -n 4 -a 05:02.0 --file-prefix=vf0 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --disable-rss --pkt-filter-mode=perfect
     testpmd> set fwd rxonly
     testpmd> set verbose 1
     testpmd> start
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 1e00000 -n 4 -a 05:02.1 --file-prefix=vf1 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --disable-rss --pkt-filter-mode=perfect
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e00000 -n 4 -a 05:02.1 --file-prefix=vf1 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --disable-rss --pkt-filter-mode=perfect
     testpmd> set fwd rxonly
     testpmd> set verbose 1
     testpmd> start
@@ -2009,7 +2009,7 @@ Test case: Dual vlan(QinQ)
 
    1. set up testpmd with Fortville NICs::
 
-         ./dpdk-testpmd -c 0x1ffff -n 4 -- -i --coremask=0x1fffe --portmask=0x1 --rxq=16 --txq=16 --tx-offloads=0x8fff
+         ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x1ffff -n 4 -- -i --coremask=0x1fffe --portmask=0x1 --rxq=16 --txq=16 --tx-offloads=0x8fff
 
    2. verbose configuration::
 
@@ -2107,7 +2107,7 @@ Test Case: 10GB Multiple filters
 
    1. set up testpmd with Fortville NICs::
 
-         ./dpdk-testpmd -l 1,2,3,4,5,6,7,8 -n 4 -- -i --disable-rss --rxq=16 --txq=16
+         ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 1,2,3,4,5,6,7,8 -n 4 -- -i --disable-rss --rxq=16 --txq=16
 
    2. verbose configuration::
 
@@ -2220,7 +2220,7 @@ This case is designed for NIC(niantic). Default use 64 queues for test
 
 Launch the app ``testpmd`` with the following arguments::
 
-    ./dpdk-testpmd -l 1,2,3,4,5 -n 4 -- -i --disable-rss --rxq=64 --txq=64 --portmask=0x3 --nb-cores=4 --total-num-mbufs=263168
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 1,2,3,4,5 -n 4 -- -i --disable-rss --rxq=64 --txq=64 --portmask=0x3 --nb-cores=4 --total-num-mbufs=263168
 
     testpmd>set stat_qmap rx 0 0 0
     testpmd>set stat_qmap rx 1 0 0