diff --git a/test_plans/sriov_kvm_test_plan.rst b/test_plans/sriov_kvm_test_plan.rst
index ff3ecd07..1adc4dc2 100644
--- a/test_plans/sriov_kvm_test_plan.rst
+++ b/test_plans/sriov_kvm_test_plan.rst
@@ -57,7 +57,7 @@ used to generate 2VFs and make them in pci-stub modes.::
 
 Start PF driver on the Host and skip the VFs.::
 
-    ./x86_64-default-linuxapp-gcc/app/testpmd -c f \
+    ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f \
        -n 4 -b 0000:08:10.0  -b 0000:08:10.2 --  -i
 
 For VM0 start up command, you can refer to below command.::
@@ -95,11 +95,11 @@ If you want to run all common 2VM cases, please run testpmd on VM0 and VM1 and
 start traffic forward on the VM hosts. Some specific prerequisites need to be
 set up in each case::
 
-    VF0 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
+    VF0 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
     VF0 testpmd-> set fwd rxonly
     VF0 testpmd-> start
 
-    VF1 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
+    VF1 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
     VF1 testpmd-> set fwd mac
     VF1 testpmd-> start
 
@@ -109,12 +109,12 @@ Test Case: InterVM communication test on 2VMs
 Set the VF0 destination mac address to VF1 mac address, packets send from VF0
 will be forwarded to VF1 and then send out::
 
-    VF1 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
+    VF1 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
     VF1 testpmd-> show port info 0
     VF1 testpmd-> set fwd mac
     VF1 testpmd-> start
 
-    VF0 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  --eth-peer=0,"VF1 mac" -i
+    VF0 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  --eth-peer=0,"VF1 mac" -i
     VF0 testpmd-> set fwd mac
     VF0 testpmd-> start
 
@@ -255,16 +255,16 @@ driver will has been already attached to VMs::
 
     On PF ./tools/pci_unbind.py --bind=igb_uio 0000:08:00.0
     echo 4 > /sys/bus/pci/devices/0000\:08\:00.0/max_vfs
-    ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 -b 0000:08:10.0 -b 0000:08:10.2 -b 0000:08:10.4 -b 0000:08:10.6 --  -i
+    ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 -b 0000:08:10.0 -b 0000:08:10.2 -b 0000:08:10.4 -b 0000:08:10.6 --  -i
 
 If you want to run all common 4VM cases, please run testpmd on VM0, VM1, VM2
 and VM3 and start traffic forward on the VM hosts. Some specific prerequisites
 are set up in each case::
 
-    VF0 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
-    VF1 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
-    VF2 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
-    VF3 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
+    VF0 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
+    VF1 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
+    VF2 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
+    VF3 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
 
 Test Case: Scaling InterVM communication on 4VFs
 ==================================================
@@ -272,21 +272,21 @@ Test Case: Scaling InterVM communication on 4VFs
 Set the VF0 destination mac address to VF1 mac address, packets send from VF0
 will be forwarded to VF1 and then send out. Similar for VF2 and VF3::
 
-    VF1 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
+    VF1 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
     VF1 testpmd-> show port info 0
     VF1 testpmd-> set fwd mac
     VF1 testpmd-> start
 
-    VF0 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  --eth-peer=0,"VF1 mac" -i
+    VF0 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  --eth-peer=0,"VF1 mac" -i
     VF0 testpmd-> set fwd mac
     VF0 testpmd-> start
 
-    VF3 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  -i
+    VF3 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  -i
     VF3 testpmd-> show port info 0
     VF3 testpmd-> set fwd mac
     VF3 testpmd-> start
 
-    VF2 ./x86_64-default-linuxapp-gcc/app/testpmd -c f -n 4 --  --eth-peer=0,"VF3 mac" -i
+    VF2 ./x86_64-default-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 --  --eth-peer=0,"VF3 mac" -i
     VF2 testpmd-> set fwd mac
     VF2 testpmd-> start
 
diff --git a/test_plans/vf_interrupt_pmd_test_plan.rst b/test_plans/vf_interrupt_pmd_test_plan.rst
index 1988b43d..ac49c5ed 100644
--- a/test_plans/vf_interrupt_pmd_test_plan.rst
+++ b/test_plans/vf_interrupt_pmd_test_plan.rst
@@ -246,7 +246,7 @@ Test Case6: VF multi-queue interrupt in VM with vfio-pci on i40e
 
 4.Start l3fwd-power in VM::
 
-    ./build/l3fwd-power -l 0-3 -n 4 -m 2048 -- -P -p 0x1 --config="(0,0,0),(0,1,1),(0,2,2),(0,3,3)"
+    ./x86_64-native-linuxapp-gcc/examples/dpdk-l3fwd-power -l 0-3 -n 4 -m 2048 -- -P -p 0x1 --config="(0,0,0),(0,1,1),(0,2,2),(0,3,3)"
 
 5. Send UDP packets with random ip and dest mac = vf mac addr::
 